#include <fstream>
#include <vector>

using namespace std;

ifstream input("DQNP.inp");
ofstream output("DQNP.out");

void DecimalToBinary(long long n)
{
	if (n > 0)
	{
		DecimalToBinary(n / 2);
		output << n % 2;
	}
}

int main()
{
	long long n;
	input >> n;
	DecimalToBinary(n);
	input.close();
	output.close();
	return 0;
}